classification
Title: Exhausted deque iterator should free a reference to a deque
Type: enhancement Stage: needs patch
Components: Extension Modules Versions: Python 3.6
process
Status: closed Resolution: rejected
Dependencies: 26494 Superseder:
Assigned To: rhettinger Nosy List: rhettinger, serhiy.storchaka
Priority: low Keywords:

Created on 2016-03-06 18:53 by serhiy.storchaka, last changed 2016-09-12 06:56 by rhettinger. This issue is now closed.

Messages (4)
msg261265 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-03-06 18:53
It is common that exhausted iterator frees a reference to iterating sequence. All builtin sequences (list, tuple, str, bytes, bytearray), set and dict support this. It would be nice if dequeue will support this too.
msg261282 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2016-03-07 06:51
I don't think this is even slightly important but will take a look to see if there is an easy way to incorporate it that doesn't mess-up previous efforts to fine-tune the iterator.
msg261283 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-03-07 07:21
This should be not very hard. It is just reminder to me, I'll write a patch after closing related issue26494 and issue26492.
msg275979 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2016-09-12 06:56
I would like to leave this one alone.
History
Date User Action Args
2016-09-12 06:56:00rhettingersetstatus: open -> closed
resolution: rejected
messages: + msg275979
2016-03-07 07:21:28serhiy.storchakasetdependencies: + Double deallocation on iterator exhausting
messages: + msg261283
2016-03-07 06:51:48rhettingersetpriority: normal -> low
assignee: rhettinger
messages: + msg261282
2016-03-07 06:22:17serhiy.storchakasettitle: Exhausted dequeue iterator should free a reference to a deque -> Exhausted deque iterator should free a reference to a deque
2016-03-06 18:53:27serhiy.storchakacreate